OPTIRUN(1)

NAME
optirun - run programs on the discrete video card

SYNOPSIS
optirun [OPTION]... command [command options...]

DESCRIPTION
Run an application using the discrete video card.

--failsafe
    run a program even if the nvidia card is unavailable

--no-failsafe
    do not run a program if the nvidia card is unavailable

--no-xorg
    do not start secondary X server (implies -b none)

-b, --bridge METHOD
    acceleration/displaying bridge to use. Valid values are auto, virtualgl and primus. The --vgl-* options only make sense when using the virtualgl bridge, while the --primus-* options apply only when using the primus bridge. Additionally, value none is recognized, and its effect is to add paths to driver libraries to LD_LIBRARY_PATH (useful for nvidia-settings and CUDA applications)

-c, --vgl-compress METHOD
    image compression or transport to use with VirtualGL. Valid values for METHOD are proxy, jpeg, rgb, xv and yuv. Changing this setting may affect performance, CPU usage and image quality

--vgl-options OPTS
    a space-separated list of command options to be passed to vglrun. Useful for debugging virtualgl by passing options to it like +tr. These OPTS override the settings from optirun so be careful with setting it

--primus-ldpath PATH
    a colon-separated list of paths which are searched for the primus libGL.so.1

-q, --quiet, --silent
    suppresses all logging messages

-v, --verbose
    increase the verbosity level of log messages. It can be specified up to two times (or five if --quiet is used)

--debug
    show all logging messages by setting the verbosity level to the maximum

-C, --config FILE
    retrieve settings for Bumblebee from FILE

-d, --display VDISPLAY
    find the Bumblebee X server on VDISPLAY. Do not confuse this option with the DISPLAY environment variable. By default, PATH is queried from the daemon

-l, --ldpath PATH
    libraries like libGL.so are searched in PATH (useful for the nvidia driver). By default, PATH is queried from the

-s, --socket FILENAME
    use FILENAME for communication with the daemon

-h, --help
    display this help and exit

--version
    output version information and exit

EXAMPLES

optirun glxspheres
    Runs the graphics demo supplied with Virtual GL.

optirun -c yuv glxspheres
    Runs a program with the yuv transport method for better performance.

optirun firefox http://example.com
    Run a program with arguments.

REPORTING BUGS
Report bugs on <http://Bumblebee-Project.org/issues>
Bumblebee homepage: <http://Bumblebee-Project.org/>

COPYRIGHT
Copyright © 2011 The Bumblebee Project License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.